Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server
Class ServerResponse

    java.lang.Object
      org.jboss.portal.server.ServerResponse

    public class ServerResponse

extends java.lang.Object

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`protected ContentInfo` | `contentInfo` .
`protected static URLFormat` | `DEFAULT_FORMAT` Default format which is relative and servlet encoded.
`protected ServerInvocationContext` | `invocationCtx` .
`protected ServerRequest` | `req` The server request.

Constructor Summary
`ServerResponse(ServerRequest req, ServerInvocationContext invocationCtx)`

Method Summary
`ContentInfo` | `getContentInfo()`
`boolean` | `getWantSignOut()`
`java.lang.String` | `renderURL(ServerURL url)`
`java.lang.String` | `renderURL(ServerURL url, URLContext context)`
`java.lang.String` | `renderURL(ServerURL url, URLContext context, URLFormat format)`
`java.lang.String` | `renderURL(ServerURL url, URLFormat format)`
`void` | `setContentInfo(ContentInfo contentInfo)`
`void` | `setWantSignOut(boolean wantSignOut)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FORMAT

    protected static final URLFormat DEFAULT_FORMAT

  Default format which is relative and servlet encoded.

### req

    protected ServerRequest req

  The server request.

### contentInfo

    protected ContentInfo contentInfo

  .

### invocationCtx

    protected ServerInvocationContext invocationCtx

  .

Constructor Detail

### ServerResponse

    public ServerResponse(ServerRequest req,
                          ServerInvocationContext invocationCtx)

Method Detail

### getContentInfo

    public ContentInfo getContentInfo()

### setContentInfo

    public void setContentInfo(ContentInfo contentInfo)

### getWantSignOut

    public boolean getWantSignOut()

### setWantSignOut

    public void setWantSignOut(boolean wantSignOut)

### renderURL

    public java.lang.String renderURL(ServerURL url)

### renderURL

    public java.lang.String renderURL(ServerURL url,
                                      URLFormat format)

### renderURL

    public java.lang.String renderURL(ServerURL url,
                                      URLContext context,
                                      URLFormat format)

### renderURL

    public java.lang.String renderURL(ServerURL url,
                                      URLContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD